Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.166.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
7.166.0.0
Broadcast address
7.166.63.255
First usable
7.166.0.1
Last usable
7.166.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 07A60000 · Integer 128319488 to 128335871
Reverse DNS zones
0.166.7.in-addr.arpa
1.166.7.in-addr.arpa
2.166.7.in-addr.arpa
3.166.7.in-addr.arpa
4.166.7.in-addr.arpa
5.166.7.in-addr.arpa
6.166.7.in-addr.arpa
7.166.7.in-addr.arpa
8.166.7.in-addr.arpa
9.166.7.in-addr.arpa
10.166.7.in-addr.arpa
11.166.7.in-addr.arpa
12.166.7.in-addr.arpa
13.166.7.in-addr.arpa
14.166.7.in-addr.arpa
15.166.7.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.10100110.00000000.000000007.166.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00000111.10100110.00000000.000000007.166.0.0
Broadcast00000111.10100110.00111111.111111117.166.63.255
Split into smaller subnets/28

7.166.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.166.0.0/287.166.0.1 to 7.166.0.147.166.0.1514
27.166.0.16/287.166.0.17 to 7.166.0.307.166.0.3114
37.166.0.32/287.166.0.33 to 7.166.0.467.166.0.4714
47.166.0.48/287.166.0.49 to 7.166.0.627.166.0.6314
57.166.0.64/287.166.0.65 to 7.166.0.787.166.0.7914
67.166.0.80/287.166.0.81 to 7.166.0.947.166.0.9514
77.166.0.96/287.166.0.97 to 7.166.0.1107.166.0.11114
87.166.0.112/287.166.0.113 to 7.166.0.1267.166.0.12714
97.166.0.128/287.166.0.129 to 7.166.0.1427.166.0.14314
107.166.0.144/287.166.0.145 to 7.166.0.1587.166.0.15914
117.166.0.160/287.166.0.161 to 7.166.0.1747.166.0.17514
127.166.0.176/287.166.0.177 to 7.166.0.1907.166.0.19114
137.166.0.192/287.166.0.193 to 7.166.0.2067.166.0.20714
147.166.0.208/287.166.0.209 to 7.166.0.2227.166.0.22314
157.166.0.224/287.166.0.225 to 7.166.0.2387.166.0.23914
167.166.0.240/287.166.0.241 to 7.166.0.2547.166.0.25514
177.166.1.0/287.166.1.1 to 7.166.1.147.166.1.1514
187.166.1.16/287.166.1.17 to 7.166.1.307.166.1.3114
197.166.1.32/287.166.1.33 to 7.166.1.467.166.1.4714
207.166.1.48/287.166.1.49 to 7.166.1.627.166.1.6314
217.166.1.64/287.166.1.65 to 7.166.1.787.166.1.7914
227.166.1.80/287.166.1.81 to 7.166.1.947.166.1.9514
237.166.1.96/287.166.1.97 to 7.166.1.1107.166.1.11114
247.166.1.112/287.166.1.113 to 7.166.1.1267.166.1.12714
257.166.1.128/287.166.1.129 to 7.166.1.1427.166.1.14314
267.166.1.144/287.166.1.145 to 7.166.1.1587.166.1.15914
277.166.1.160/287.166.1.161 to 7.166.1.1747.166.1.17514
287.166.1.176/287.166.1.177 to 7.166.1.1907.166.1.19114
297.166.1.192/287.166.1.193 to 7.166.1.2067.166.1.20714
307.166.1.208/287.166.1.209 to 7.166.1.2227.166.1.22314
317.166.1.224/287.166.1.225 to 7.166.1.2387.166.1.23914
327.166.1.240/287.166.1.241 to 7.166.1.2547.166.1.25514
337.166.2.0/287.166.2.1 to 7.166.2.147.166.2.1514
347.166.2.16/287.166.2.17 to 7.166.2.307.166.2.3114
357.166.2.32/287.166.2.33 to 7.166.2.467.166.2.4714
367.166.2.48/287.166.2.49 to 7.166.2.627.166.2.6314
377.166.2.64/287.166.2.65 to 7.166.2.787.166.2.7914
387.166.2.80/287.166.2.81 to 7.166.2.947.166.2.9514
397.166.2.96/287.166.2.97 to 7.166.2.1107.166.2.11114
407.166.2.112/287.166.2.113 to 7.166.2.1267.166.2.12714
417.166.2.128/287.166.2.129 to 7.166.2.1427.166.2.14314
427.166.2.144/287.166.2.145 to 7.166.2.1587.166.2.15914
437.166.2.160/287.166.2.161 to 7.166.2.1747.166.2.17514
447.166.2.176/287.166.2.177 to 7.166.2.1907.166.2.19114
457.166.2.192/287.166.2.193 to 7.166.2.2067.166.2.20714
467.166.2.208/287.166.2.209 to 7.166.2.2227.166.2.22314
477.166.2.224/287.166.2.225 to 7.166.2.2387.166.2.23914
487.166.2.240/287.166.2.241 to 7.166.2.2547.166.2.25514
497.166.3.0/287.166.3.1 to 7.166.3.147.166.3.1514
507.166.3.16/287.166.3.17 to 7.166.3.307.166.3.3114
517.166.3.32/287.166.3.33 to 7.166.3.467.166.3.4714
527.166.3.48/287.166.3.49 to 7.166.3.627.166.3.6314
537.166.3.64/287.166.3.65 to 7.166.3.787.166.3.7914
547.166.3.80/287.166.3.81 to 7.166.3.947.166.3.9514
557.166.3.96/287.166.3.97 to 7.166.3.1107.166.3.11114
567.166.3.112/287.166.3.113 to 7.166.3.1267.166.3.12714
577.166.3.128/287.166.3.129 to 7.166.3.1427.166.3.14314
587.166.3.144/287.166.3.145 to 7.166.3.1587.166.3.15914
597.166.3.160/287.166.3.161 to 7.166.3.1747.166.3.17514
607.166.3.176/287.166.3.177 to 7.166.3.1907.166.3.19114
617.166.3.192/287.166.3.193 to 7.166.3.2067.166.3.20714
627.166.3.208/287.166.3.209 to 7.166.3.2227.166.3.22314
637.166.3.224/287.166.3.225 to 7.166.3.2387.166.3.23914
647.166.3.240/287.166.3.241 to 7.166.3.2547.166.3.25514
657.166.4.0/287.166.4.1 to 7.166.4.147.166.4.1514
667.166.4.16/287.166.4.17 to 7.166.4.307.166.4.3114
677.166.4.32/287.166.4.33 to 7.166.4.467.166.4.4714
687.166.4.48/287.166.4.49 to 7.166.4.627.166.4.6314
697.166.4.64/287.166.4.65 to 7.166.4.787.166.4.7914
707.166.4.80/287.166.4.81 to 7.166.4.947.166.4.9514
717.166.4.96/287.166.4.97 to 7.166.4.1107.166.4.11114
727.166.4.112/287.166.4.113 to 7.166.4.1267.166.4.12714
737.166.4.128/287.166.4.129 to 7.166.4.1427.166.4.14314
747.166.4.144/287.166.4.145 to 7.166.4.1587.166.4.15914
757.166.4.160/287.166.4.161 to 7.166.4.1747.166.4.17514
767.166.4.176/287.166.4.177 to 7.166.4.1907.166.4.19114
777.166.4.192/287.166.4.193 to 7.166.4.2067.166.4.20714
787.166.4.208/287.166.4.209 to 7.166.4.2227.166.4.22314
797.166.4.224/287.166.4.225 to 7.166.4.2387.166.4.23914
807.166.4.240/287.166.4.241 to 7.166.4.2547.166.4.25514
817.166.5.0/287.166.5.1 to 7.166.5.147.166.5.1514
827.166.5.16/287.166.5.17 to 7.166.5.307.166.5.3114
837.166.5.32/287.166.5.33 to 7.166.5.467.166.5.4714
847.166.5.48/287.166.5.49 to 7.166.5.627.166.5.6314
857.166.5.64/287.166.5.65 to 7.166.5.787.166.5.7914
867.166.5.80/287.166.5.81 to 7.166.5.947.166.5.9514
877.166.5.96/287.166.5.97 to 7.166.5.1107.166.5.11114
887.166.5.112/287.166.5.113 to 7.166.5.1267.166.5.12714
897.166.5.128/287.166.5.129 to 7.166.5.1427.166.5.14314
907.166.5.144/287.166.5.145 to 7.166.5.1587.166.5.15914
917.166.5.160/287.166.5.161 to 7.166.5.1747.166.5.17514
927.166.5.176/287.166.5.177 to 7.166.5.1907.166.5.19114
937.166.5.192/287.166.5.193 to 7.166.5.2067.166.5.20714
947.166.5.208/287.166.5.209 to 7.166.5.2227.166.5.22314
957.166.5.224/287.166.5.225 to 7.166.5.2387.166.5.23914
967.166.5.240/287.166.5.241 to 7.166.5.2547.166.5.25514
977.166.6.0/287.166.6.1 to 7.166.6.147.166.6.1514
987.166.6.16/287.166.6.17 to 7.166.6.307.166.6.3114
997.166.6.32/287.166.6.33 to 7.166.6.467.166.6.4714
1007.166.6.48/287.166.6.49 to 7.166.6.627.166.6.6314
1017.166.6.64/287.166.6.65 to 7.166.6.787.166.6.7914
1027.166.6.80/287.166.6.81 to 7.166.6.947.166.6.9514
1037.166.6.96/287.166.6.97 to 7.166.6.1107.166.6.11114
1047.166.6.112/287.166.6.113 to 7.166.6.1267.166.6.12714
1057.166.6.128/287.166.6.129 to 7.166.6.1427.166.6.14314
1067.166.6.144/287.166.6.145 to 7.166.6.1587.166.6.15914
1077.166.6.160/287.166.6.161 to 7.166.6.1747.166.6.17514
1087.166.6.176/287.166.6.177 to 7.166.6.1907.166.6.19114
1097.166.6.192/287.166.6.193 to 7.166.6.2067.166.6.20714
1107.166.6.208/287.166.6.209 to 7.166.6.2227.166.6.22314
1117.166.6.224/287.166.6.225 to 7.166.6.2387.166.6.23914
1127.166.6.240/287.166.6.241 to 7.166.6.2547.166.6.25514
1137.166.7.0/287.166.7.1 to 7.166.7.147.166.7.1514
1147.166.7.16/287.166.7.17 to 7.166.7.307.166.7.3114
1157.166.7.32/287.166.7.33 to 7.166.7.467.166.7.4714
1167.166.7.48/287.166.7.49 to 7.166.7.627.166.7.6314
1177.166.7.64/287.166.7.65 to 7.166.7.787.166.7.7914
1187.166.7.80/287.166.7.81 to 7.166.7.947.166.7.9514
1197.166.7.96/287.166.7.97 to 7.166.7.1107.166.7.11114
1207.166.7.112/287.166.7.113 to 7.166.7.1267.166.7.12714
1217.166.7.128/287.166.7.129 to 7.166.7.1427.166.7.14314
1227.166.7.144/287.166.7.145 to 7.166.7.1587.166.7.15914
1237.166.7.160/287.166.7.161 to 7.166.7.1747.166.7.17514
1247.166.7.176/287.166.7.177 to 7.166.7.1907.166.7.19114
1257.166.7.192/287.166.7.193 to 7.166.7.2067.166.7.20714
1267.166.7.208/287.166.7.209 to 7.166.7.2227.166.7.22314
1277.166.7.224/287.166.7.225 to 7.166.7.2387.166.7.23914
1287.166.7.240/287.166.7.241 to 7.166.7.2547.166.7.25514
1297.166.8.0/287.166.8.1 to 7.166.8.147.166.8.1514
1307.166.8.16/287.166.8.17 to 7.166.8.307.166.8.3114
1317.166.8.32/287.166.8.33 to 7.166.8.467.166.8.4714
1327.166.8.48/287.166.8.49 to 7.166.8.627.166.8.6314
1337.166.8.64/287.166.8.65 to 7.166.8.787.166.8.7914
1347.166.8.80/287.166.8.81 to 7.166.8.947.166.8.9514
1357.166.8.96/287.166.8.97 to 7.166.8.1107.166.8.11114
1367.166.8.112/287.166.8.113 to 7.166.8.1267.166.8.12714
1377.166.8.128/287.166.8.129 to 7.166.8.1427.166.8.14314
1387.166.8.144/287.166.8.145 to 7.166.8.1587.166.8.15914
1397.166.8.160/287.166.8.161 to 7.166.8.1747.166.8.17514
1407.166.8.176/287.166.8.177 to 7.166.8.1907.166.8.19114
1417.166.8.192/287.166.8.193 to 7.166.8.2067.166.8.20714
1427.166.8.208/287.166.8.209 to 7.166.8.2227.166.8.22314
1437.166.8.224/287.166.8.225 to 7.166.8.2387.166.8.23914
1447.166.8.240/287.166.8.241 to 7.166.8.2547.166.8.25514
1457.166.9.0/287.166.9.1 to 7.166.9.147.166.9.1514
1467.166.9.16/287.166.9.17 to 7.166.9.307.166.9.3114
1477.166.9.32/287.166.9.33 to 7.166.9.467.166.9.4714
1487.166.9.48/287.166.9.49 to 7.166.9.627.166.9.6314
1497.166.9.64/287.166.9.65 to 7.166.9.787.166.9.7914
1507.166.9.80/287.166.9.81 to 7.166.9.947.166.9.9514
1517.166.9.96/287.166.9.97 to 7.166.9.1107.166.9.11114
1527.166.9.112/287.166.9.113 to 7.166.9.1267.166.9.12714
1537.166.9.128/287.166.9.129 to 7.166.9.1427.166.9.14314
1547.166.9.144/287.166.9.145 to 7.166.9.1587.166.9.15914
1557.166.9.160/287.166.9.161 to 7.166.9.1747.166.9.17514
1567.166.9.176/287.166.9.177 to 7.166.9.1907.166.9.19114
1577.166.9.192/287.166.9.193 to 7.166.9.2067.166.9.20714
1587.166.9.208/287.166.9.209 to 7.166.9.2227.166.9.22314
1597.166.9.224/287.166.9.225 to 7.166.9.2387.166.9.23914
1607.166.9.240/287.166.9.241 to 7.166.9.2547.166.9.25514
1617.166.10.0/287.166.10.1 to 7.166.10.147.166.10.1514
1627.166.10.16/287.166.10.17 to 7.166.10.307.166.10.3114
1637.166.10.32/287.166.10.33 to 7.166.10.467.166.10.4714
1647.166.10.48/287.166.10.49 to 7.166.10.627.166.10.6314
1657.166.10.64/287.166.10.65 to 7.166.10.787.166.10.7914
1667.166.10.80/287.166.10.81 to 7.166.10.947.166.10.9514
1677.166.10.96/287.166.10.97 to 7.166.10.1107.166.10.11114
1687.166.10.112/287.166.10.113 to 7.166.10.1267.166.10.12714
1697.166.10.128/287.166.10.129 to 7.166.10.1427.166.10.14314
1707.166.10.144/287.166.10.145 to 7.166.10.1587.166.10.15914
1717.166.10.160/287.166.10.161 to 7.166.10.1747.166.10.17514
1727.166.10.176/287.166.10.177 to 7.166.10.1907.166.10.19114
1737.166.10.192/287.166.10.193 to 7.166.10.2067.166.10.20714
1747.166.10.208/287.166.10.209 to 7.166.10.2227.166.10.22314
1757.166.10.224/287.166.10.225 to 7.166.10.2387.166.10.23914
1767.166.10.240/287.166.10.241 to 7.166.10.2547.166.10.25514
1777.166.11.0/287.166.11.1 to 7.166.11.147.166.11.1514
1787.166.11.16/287.166.11.17 to 7.166.11.307.166.11.3114
1797.166.11.32/287.166.11.33 to 7.166.11.467.166.11.4714
1807.166.11.48/287.166.11.49 to 7.166.11.627.166.11.6314
1817.166.11.64/287.166.11.65 to 7.166.11.787.166.11.7914
1827.166.11.80/287.166.11.81 to 7.166.11.947.166.11.9514
1837.166.11.96/287.166.11.97 to 7.166.11.1107.166.11.11114
1847.166.11.112/287.166.11.113 to 7.166.11.1267.166.11.12714
1857.166.11.128/287.166.11.129 to 7.166.11.1427.166.11.14314
1867.166.11.144/287.166.11.145 to 7.166.11.1587.166.11.15914
1877.166.11.160/287.166.11.161 to 7.166.11.1747.166.11.17514
1887.166.11.176/287.166.11.177 to 7.166.11.1907.166.11.19114
1897.166.11.192/287.166.11.193 to 7.166.11.2067.166.11.20714
1907.166.11.208/287.166.11.209 to 7.166.11.2227.166.11.22314
1917.166.11.224/287.166.11.225 to 7.166.11.2387.166.11.23914
1927.166.11.240/287.166.11.241 to 7.166.11.2547.166.11.25514
1937.166.12.0/287.166.12.1 to 7.166.12.147.166.12.1514
1947.166.12.16/287.166.12.17 to 7.166.12.307.166.12.3114
1957.166.12.32/287.166.12.33 to 7.166.12.467.166.12.4714
1967.166.12.48/287.166.12.49 to 7.166.12.627.166.12.6314
1977.166.12.64/287.166.12.65 to 7.166.12.787.166.12.7914
1987.166.12.80/287.166.12.81 to 7.166.12.947.166.12.9514
1997.166.12.96/287.166.12.97 to 7.166.12.1107.166.12.11114
2007.166.12.112/287.166.12.113 to 7.166.12.1267.166.12.12714
2017.166.12.128/287.166.12.129 to 7.166.12.1427.166.12.14314
2027.166.12.144/287.166.12.145 to 7.166.12.1587.166.12.15914
2037.166.12.160/287.166.12.161 to 7.166.12.1747.166.12.17514
2047.166.12.176/287.166.12.177 to 7.166.12.1907.166.12.19114
2057.166.12.192/287.166.12.193 to 7.166.12.2067.166.12.20714
2067.166.12.208/287.166.12.209 to 7.166.12.2227.166.12.22314
2077.166.12.224/287.166.12.225 to 7.166.12.2387.166.12.23914
2087.166.12.240/287.166.12.241 to 7.166.12.2547.166.12.25514
2097.166.13.0/287.166.13.1 to 7.166.13.147.166.13.1514
2107.166.13.16/287.166.13.17 to 7.166.13.307.166.13.3114
2117.166.13.32/287.166.13.33 to 7.166.13.467.166.13.4714
2127.166.13.48/287.166.13.49 to 7.166.13.627.166.13.6314
2137.166.13.64/287.166.13.65 to 7.166.13.787.166.13.7914
2147.166.13.80/287.166.13.81 to 7.166.13.947.166.13.9514
2157.166.13.96/287.166.13.97 to 7.166.13.1107.166.13.11114
2167.166.13.112/287.166.13.113 to 7.166.13.1267.166.13.12714
2177.166.13.128/287.166.13.129 to 7.166.13.1427.166.13.14314
2187.166.13.144/287.166.13.145 to 7.166.13.1587.166.13.15914
2197.166.13.160/287.166.13.161 to 7.166.13.1747.166.13.17514
2207.166.13.176/287.166.13.177 to 7.166.13.1907.166.13.19114
2217.166.13.192/287.166.13.193 to 7.166.13.2067.166.13.20714
2227.166.13.208/287.166.13.209 to 7.166.13.2227.166.13.22314
2237.166.13.224/287.166.13.225 to 7.166.13.2387.166.13.23914
2247.166.13.240/287.166.13.241 to 7.166.13.2547.166.13.25514
2257.166.14.0/287.166.14.1 to 7.166.14.147.166.14.1514
2267.166.14.16/287.166.14.17 to 7.166.14.307.166.14.3114
2277.166.14.32/287.166.14.33 to 7.166.14.467.166.14.4714
2287.166.14.48/287.166.14.49 to 7.166.14.627.166.14.6314
2297.166.14.64/287.166.14.65 to 7.166.14.787.166.14.7914
2307.166.14.80/287.166.14.81 to 7.166.14.947.166.14.9514
2317.166.14.96/287.166.14.97 to 7.166.14.1107.166.14.11114
2327.166.14.112/287.166.14.113 to 7.166.14.1267.166.14.12714
2337.166.14.128/287.166.14.129 to 7.166.14.1427.166.14.14314
2347.166.14.144/287.166.14.145 to 7.166.14.1587.166.14.15914
2357.166.14.160/287.166.14.161 to 7.166.14.1747.166.14.17514
2367.166.14.176/287.166.14.177 to 7.166.14.1907.166.14.19114
2377.166.14.192/287.166.14.193 to 7.166.14.2067.166.14.20714
2387.166.14.208/287.166.14.209 to 7.166.14.2227.166.14.22314
2397.166.14.224/287.166.14.225 to 7.166.14.2387.166.14.23914
2407.166.14.240/287.166.14.241 to 7.166.14.2547.166.14.25514
2417.166.15.0/287.166.15.1 to 7.166.15.147.166.15.1514
2427.166.15.16/287.166.15.17 to 7.166.15.307.166.15.3114
2437.166.15.32/287.166.15.33 to 7.166.15.467.166.15.4714
2447.166.15.48/287.166.15.49 to 7.166.15.627.166.15.6314
2457.166.15.64/287.166.15.65 to 7.166.15.787.166.15.7914
2467.166.15.80/287.166.15.81 to 7.166.15.947.166.15.9514
2477.166.15.96/287.166.15.97 to 7.166.15.1107.166.15.11114
2487.166.15.112/287.166.15.113 to 7.166.15.1267.166.15.12714
2497.166.15.128/287.166.15.129 to 7.166.15.1427.166.15.14314
2507.166.15.144/287.166.15.145 to 7.166.15.1587.166.15.15914
2517.166.15.160/287.166.15.161 to 7.166.15.1747.166.15.17514
2527.166.15.176/287.166.15.177 to 7.166.15.1907.166.15.19114
2537.166.15.192/287.166.15.193 to 7.166.15.2067.166.15.20714
2547.166.15.208/287.166.15.209 to 7.166.15.2227.166.15.22314
2557.166.15.224/287.166.15.225 to 7.166.15.2387.166.15.23914
2567.166.15.240/287.166.15.241 to 7.166.15.2547.166.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses